Taslak Taşı

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Draft Move and the translation is 80% complete.

Outdated translations are marked like this.
Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎română • ‎русский • ‎svenska • ‎Türkçe
Arrow-left.svg Previous: Draft Label.svg Label
Next: Rotate Draft Rotate.svg Arrow-right.svg

Draft Move.svg Taşı

Menü konumu
Taslak → Taşı
Tezgahlar
Taslak, Yapı
Varsayılan kısayol
M V
Versiyonda tanıtıldı
0.17
Ayrıca bkz
Dizi, Yol dizisi


Tanım

Taşı aracı, seçilen nesneleri bir noktadan diğerine taşır veya kopyalar.

Taşı aracı, Taslak tezgahı veya Eskiz tezgahı ile oluşturulan 2D şekillerde kullanılabilir, ancak Parça tezgahı ve Yapı tezgahı ile oluşturulanlar gibi birçok 3D nesne üzerinde de kullanılabilir.

Farklı düzenlemelerde çeşitli kopyalar üretmek için Dizi, Yol dizisi ve Nokta dizisi kullanın.

Draft Move example.jpg

Bir nesneyi bir noktadan diğer bir noktaya taşıma


Nasıl kullanılır

  1. Taşımak veya kopyalamak istediğiniz nesneleri seçin.
  2. Draft Move.svg Taşı düğmesine basın veya M ardından V tuşlarına basın. Hiçbir nesne seçilmezse, birini seçmeye davet edilirsiniz.
  3. 3B görünümde bir ilk noktaya tıklayın veya bir koordinat yazın ve Draft AddPoint.svg Nokta ekle düğmesine basın. Bu işlemin temel noktası olarak görev yapar.
  4. 3B görünümünde başka bir noktaya tıklayın veya bir koordinat yazın ve Draft AddPoint.svg Nokta düğmesine basın. Bu, temel noktadaki yeni konumdur.

Sınırlamalar

Eskiz temelli bir nesneyi taşırken, örneğin Parça tasarım tezgahı (Kalınlık ver, Döndür ile oluşturulan bir özellik , vb.) Orijinal çizimi taşımalısınız. Türetilmiş nesneyi hareket ettirirseniz, taslak tarafından tanımlanan konuma geri dönecektir.

Seçenekler

  • Verilen eksendeki bir sonraki noktayı sınırlamak için bir noktadan sonra X, Y veya Z tuşlarına basın.
  • Koordinatları manuel olarak girmek için sayıları girin, ardından her bir X, Y ve Z bileşeni arasında Enter tuşuna basın. Noktayı yerleştirmek istediğiniz değerleri aldığınızda Draft AddPoint.svg Nokta ekle düğmesine basabilirsiniz.
  • Görecelimoduna geçmek için R tuşuna basın veya onay kutusunu tıklayın. Göreceli mod açıksa, bir sonraki noktanın koordinatları sonuncusuna göre değişir; değilse, kesindir, kökenlerinden alınır (0,0,0).
  • Devammoduna geçmek için T tuşuna basın veya onay kutusunu tıklayın. Devam modu açıksa, işlemi tamamladıktan sonra Taşı aracı yeniden başlatılır ve böylece araç düğmesine tekrar basmadan nesneleri yeniden taşımanıza veya kopyalamanıza olanak tanır.
  • Kopyalamamoduna geçmek için P tuşuna basın veya onay kutusunu tıklayın. Kopyalama modu açıksa, Taşıma aracı orijinal şekli yerinde tutacak ancak ikinci noktada bir kopya oluşturacaktır. : Sırayla birkaç kopya yerleştirmek için hem T hem de P kullanabilirsiniz. Bu durumda, kopyalanan öğe en son yerleştirilen kopyadır.
  • Kopyalama moduna geçmek için ilk noktadan sonra Alt tuşunu basılı tutun. İkinci noktaya tıkladıktan sonra Alt tuşunun basılı tutulması kopya yerleştirmeye devam etmenizi sağlayacaktır; İşlemi bitirmek ve tüm kopyaları görmek için Alt tuşunu bırakın.
  • snapping noktanızı mesafeden bağımsız olarak, snapping noktasını zorlamak için hareket ederken Ctrl tuşunu basılı tutun.
  • Bir sonraki noktanızı yatay veya dikey olarak sonuncuya göre constrain konumuna getirirken Shift tuşunu basılı tutun.
  • Geçerli komutu iptal etmek için Esc veya Close tuşuna basınız; önceden yerleştirilmiş kopyalar kalacaktır.

Betik

Ayrıca bkz.: Taslak API ve FreeCAD Betik esasları.

Taşı aracı, aşağıdaki işlevi kullanarak makrolar ve Python konsolundan kullanılabilir:

movedlist = move(objectslist, vector, copy=False)
  • objectslist içindeki nesnelerin temel noktasını vector ile gösterilen yer değiştirme ve yönlere göre hareket ettirir.
    • objectslist, tek bir nesne veya bir nesne listesidir. : Yer değiştirme vektörü, nesnenin temel noktasına göredir, yani bir nesne 2 birim ve sonra başka bir 2 birim hareket ettirilirse, toplamda 4 birim orijinal konumundan hareket etmiş olur.
  • copy ise True ise orijinal nesneleri taşımak yerine kopyalar oluşturulur.
  • movedlist, orijinal taşınan nesnelerle veya yeni kopyalarla birlikte döndürülür. ** movedlist, objectslist girişine bağlı olarak tek bir nesne veya nesne listesidir.

Örnek:

import FreeCAD, Draft

Polygon1 = Draft.makePolygon(5, radius=1000)
Polygon2 = Draft.makePolygon(3, radius=500)
Polygon3 = Draft.makePolygon(6, radius=220)

Draft.move(Polygon1, FreeCAD.Vector(500, 500, 0))
Draft.move(Polygon1, FreeCAD.Vector(500, 500, 0))
Draft.move(Polygon2, FreeCAD.Vector(1000, -1000, 0))
Draft.move(Polygon3, FreeCAD.Vector(-500, -500, 0))

List1 = [Polygon1, Polygon2, Polygon3]

vector = FreeCAD.Vector(-2000, -2000, 0)
List2 = Draft.move(List1, vector, copy=True)
List3 = Draft.move(List1, -2*vector, copy=True)